[@rxap/data-source](../wiki/globals) / pipeDataSource

# Function: pipeDataSource()

> **pipeDataSource**\<`Source`, `Target`\>(`dataSource`, `operation`, ...`operations`): [`PipeDataSource`](../wiki/Class.PipeDataSource)\<`Source`, `Target`\>

Defined in: [packages/angular/data-source/src/lib/pipe.data-source.ts:146](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/pipe.data-source.ts#L146)

## Type Parameters

• **Source**

• **Target**

## Parameters

### dataSource

[`BaseDataSource`](../wiki/Class.BaseDataSource)\<`Source`\>

### operation

`OperatorFunction`\<`Source`, `any`\>

### operations

...([`PipeDataSourceMetadata`](../wiki/Interface.PipeDataSourceMetadata) \| `OperatorFunction`\<`any`, `any`\>)[]

## Returns

[`PipeDataSource`](../wiki/Class.PipeDataSource)\<`Source`, `Target`\>
